Bug 457046 - Replace default page in proxy
Replace default page in proxy
Product: Spacewalk
Classification: Community
Component: Proxy Server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
Depends On:
Blocks: space03
  Show dependency treegraph
Reported: 2008-07-29 09:00 EDT by Miroslav Suchý
Modified: 2009-09-17 03:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-17 03:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to remove RH artwork and replace with Spacewalk versions (33.22 KB, patch)
2008-09-08 06:58 EDT, Rob James
no flags Details | Diff
Before patch screenshot (16.00 KB, image/png)
2008-09-08 06:58 EDT, Rob James
no flags Details
After patch screenshot (25.30 KB, image/png)
2008-09-08 06:59 EDT, Rob James
no flags Details
Screenshot of page with extra footer (45.12 KB, image/png)
2008-09-08 08:17 EDT, Rob James
no flags Details
Updated patch (33.40 KB, patch)
2008-09-08 08:39 EDT, Rob James
no flags Details | Diff

  None (edit)
Description Miroslav Suchý 2008-07-29 09:00:13 EDT
Description of problem:
In Spacewalk Proxy we have shadowman and string "Red Hat Network" Proxy:
We should replace it with some Spacewalk graphic and text.
Comment 1 Devan Goodwin 2008-09-05 10:49:24 EDT
Bumping to space03.
Comment 2 Rob James 2008-09-08 06:58:06 EDT
Created attachment 316067 [details]
Patch to remove RH artwork and replace with Spacewalk versions
Comment 3 Rob James 2008-09-08 06:58:43 EDT
Created attachment 316068 [details]
Before patch screenshot
Comment 4 Rob James 2008-09-08 06:59:09 EDT
Created attachment 316069 [details]
After patch screenshot
Comment 5 Rob James 2008-09-08 07:02:07 EDT
(this also replaces the RHN favicon with a spacewalk one)
Comment 6 Miroslav Suchý 2008-09-08 08:01:20 EDT
Rob that is really cool!!!
However I have two comments:
- Spacewalk is not trade mark yet. Application pending. It will be safe to remove tm from the logo.
- it will be nice to state somewhere/somehow that it is Spacewalk Proxy.
Comment 7 Miroslav Suchý 2008-09-08 08:03:05 EDT
Hmm now looking on offical spacewalk site and it has tm too. So it is probably safe to have it there.
Comment 8 Rob James 2008-09-08 08:14:23 EDT
The page title is "Spacewalk Proxy Server". Do you think that's enough or would you like maybe a footer with that too?
Comment 9 Rob James 2008-09-08 08:17:55 EDT
Created attachment 316074 [details]
Screenshot of page with extra footer

Screenshot with extra footer (shows page title in titlebar too).
Comment 10 Rob James 2008-09-08 08:39:12 EDT
Created attachment 316075 [details]
Updated patch

Adds extra footer as in the last screenshot.
Comment 11 Miroslav Suchý 2008-09-08 09:07:42 EDT
Applied patch as db2a2eded069c429f3cf936dc1fa533c958052bd and built new package.
Comment 12 Jan Pazdziora 2008-11-05 04:31:04 EST
I've installed Spacewalk Proxy 0.3 from

# grep base /etc/yum.repos.d/spacewalk.repo 

# yum install spacewalk-proxy-installer
Dependencies Resolved

 Package                 Arch       Version          Repository        Size 
 spacewalk-proxy-installer  noarch     0.2.1-1.el5.sw   spacewalk          13 k
Installing for dependencies:
 apr                     i386       1.2.7-11         rhel-i386-server-5  123 k
 apr-util                i386       1.2.7-7.el5      rhel-i386-server-5   76 k
 distcache               i386       1.4.5-14.1       rhel-i386-server-5  120 k
 elfutils                i386       0.125-3.el5      rhel-i386-server-5  164 k
 elfutils-libs           i386       0.125-3.el5      rhel-i386-server-5  105 k
 httpd                   i386       2.2.3-11.el5_1.3  rhel-i386-server-5  1.1 M
 jabberd                 i386       2.0s10-3.42.el5  spacewalk         541 k
 mod_python              i386       3.2.8-3.1        rhel-i386-server-5  257 k
 mod_ssl                 i386       1:2.2.3-11.el5_1.3  rhel-i386-server-5   84 k
 perl-URI                noarch     1.35-3           rhel-i386-server-5  116 k
 postgresql-libs         i386       8.1.11-1.el5_1.1  rhel-i386-server-5  196 k
 rhncfg                  noarch     0.3.1-1.el5.sw   spacewalk          52 k
 rhncfg-actions          noarch     0.3.1-1.el5.sw   spacewalk          28 k
 rhncfg-client           noarch     0.3.1-1.el5.sw   spacewalk          23 k
 rhncfg-management       noarch     0.3.1-1.el5.sw   spacewalk          33 k
 rpm-build               i386       4.4.2-48.el5     rhel-i386-server-5  551 k
 spacewalk-backend       noarch     0.3.3-1.el5.sw   spacewalk         103 k
 spacewalk-certs-tools   noarch     0.2.3-1.el5.sw   spacewalk         130 k
 spacewalk-proxy-broker  noarch     0.3.3-1.el5.sw   spacewalk          36 k
 spacewalk-proxy-common  noarch     0.3.3-1.el5.sw   spacewalk          60 k
 spacewalk-proxy-docs    noarch     0.1-2.el5.sw     spacewalk         5.2 M
 spacewalk-proxy-html    noarch     0.1-2.el5.sw     spacewalk         9.7 k
 spacewalk-proxy-management  noarch     0.3.3-1.el5.sw   spacewalk          13 k
 spacewalk-proxy-package-manager  noarch     0.3.3-1.el5.sw   spacewalk          35 k
 spacewalk-proxy-redirect  noarch     0.3.3-1.el5.sw   spacewalk          25 k
 spacewalk-proxy-tools   noarch     0.3.3-1.el5.sw   spacewalk          20 k
 spacewalk-ssl-cert-check  noarch     1.4-10.10.el5.sw  spacewalk         7.8 k
 squid                   i386       7:2.6.STABLE6-5.el5_1.3  rhel-i386-server-5  1.2 M

Transaction Summary
Install     29 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 10 M
Is this ok [y/N]: y

and configured it

# configure-proxy.sh
RHN Parent [sputnik-prod.brq.redhat.com]: 
Traceback email []: jpazdziora@redhat.com
Use SSL [0]: 1
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
HTTP Proxy []: 
SSL Certificate:
Common name: vmware188.englab.brq.redhat.com
Organizational Unit Name (eg, section) []:
Common Name (eg, your name or your server's hostname) []:vmware188.englab.brq.redhat.com
Email Address []:jpazdziora@redhat.com
Shutting down rhn-proxy...
Shutting down Jabber router:                               [FAILED]
Stopping httpd:                                            [  OK  ]
Stopping squid:                                            [FAILED]
Starting rhn-proxy...
init_cache_dir /var/spool/squid... Starting squid: .       [  OK  ]
Starting httpd:                                            [  OK  ]
Starting Jabber services                                   [  OK  ]

and I went to http://vmware188.englab.brq.redhat.com/ and I see Shadowman and "redhat NETWORK P R O X Y" there.

So I'm going to FAILS_QA this bugzilla.
Comment 13 Miroslav Suchý 2008-11-05 16:53:15 EST
You installed:
spacewalk-proxy-html 0.1-2.el5.sw
But last package is spacewalk-proxy-html-0.2-1.el5.sw, which is not in repo. I pinged Jesus to include it there.
Comment 14 Jan Pazdziora 2008-11-06 03:58:53 EST
I've now updated to spacewalk-proxy-html-0.2-1.el5.sw, restarted rhn-proxy, and the page is now black and Spacewalkish. VERIFIED.
Comment 15 Miroslav Suchý 2009-09-17 03:00:55 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.